Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.model.content
Interface Content

All Known Implementing Classes:
  AbstractContent, GenericContent, PortletContent

    public interface Content

Defines the base interface for content.

Version:
  $Revision: 11168 $
Author:
  Julien Viet

Method Summary
`void` | `clearParameters()`
`org.jboss.portal.common.i18n.LocalizedString` | `getDisplayName()` Return a localized display name of the content.
`java.lang.String` | `getParameter(java.lang.String name)`
`java.util.Iterator<java.lang.String>` | `getParameterNames()`
`java.lang.String` | `getURI()` Returns the content URI.
`boolean` | `isMutable()` Returns true if the content state can be changed.
`void` | `setParameter(java.lang.String name, java.lang.String value)`
`void` | `setParameters(java.util.Map<java.lang.String,java.lang.String> parameters)`
`void` | `setURI(java.lang.String uri)` Updates the content URI.

Method Detail

### getDisplayName

    org.jboss.portal.common.i18n.LocalizedString getDisplayName()

  Return a localized display name of the content.

  Returns:
    the content display name

### isMutable

    boolean isMutable()

  Returns true if the content state can be changed.

  Returns:
    true if the content state can be changed

### getURI

    java.lang.String getURI()

  Returns the content URI.

  Returns:
    the content URI

### setURI

    void setURI(java.lang.String uri)
                throws java.lang.IllegalStateException

  Updates the content URI.

  Parameters:
    `uri` - the new content URI value
  Throws:
    `java.lang.IllegalStateException` - if the content cannot be changed for some reason

### getParameterNames

    java.util.Iterator<java.lang.String> getParameterNames()

### setParameter

    void setParameter(java.lang.String name,
                      java.lang.String value)
                      throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### setParameters

    void setParameters(java.util.Map<java.lang.String,java.lang.String> parameters)
                       throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### getParameter

    java.lang.String getParameter(java.lang.String name)
                                  throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### clearParameters

    void clearParameters()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD